> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll Job

> Fetch the FVU file generated for your TDS return



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json GET /tds/compliance/fvu/generate
openapi: 3.0.1
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/fvu/generate:
    get:
      tags:
        - FVU Generation
      summary: Fetch FVU Generation Status
      parameters:
        - name: job_id
          in: query
          description: Unique identifier of a job
          required: false
          example: 4ef92975-aea8-4628-9eaa-18eb439c13d9
          schema: {}
        - name: authorization
          in: header
          description: JWT authorization token
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: Public key required to authorize API access.
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                oneOf:
                  - title: Job Queued
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          tax_year:
                            type: string
                            description: Tax Year (e.g. TY 2026-27)
                            pattern: ^TY [0-9]{4}-[0-9]{2}$
                            example: TY 2026-27
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                  - title: Job Succeeded
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          tax_year:
                            type: string
                            description: Tax Year (e.g. TY 2026-27)
                            pattern: ^TY [0-9]{4}-[0-9]{2}$
                            example: TY 2026-27
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          fvu_zip_file_url:
                            type: string
                            format: uri
                  - title: Job Failed
                    type: object
                    properties:
                      code:
                        type: integer
                      timestamp:
                        type: integer
                      transaction_id:
                        type: string
                      data:
                        type: object
                        properties:
                          '@entity':
                            type: string
                          job_id:
                            type: string
                          tan:
                            type: string
                          tax_year:
                            type: string
                            description: Tax Year (e.g. TY 2026-27)
                            pattern: ^TY [0-9]{4}-[0-9]{2}$
                            example: TY 2026-27
                          quarter:
                            type: string
                          form:
                            type: string
                          filing_type:
                            type: string
                          status:
                            type: string
                          created_at:
                            type: integer
                          updated_at:
                            type: integer
                          validation_report_file_url:
                            type: string
                            format: uri
              examples:
                200 - Job Success:
                  summary: 200 - Job Success
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                      job_id: 4ef92975-aea8-4628-9eaa-18eb439c13d9
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '138'
                      filing_type: regular
                      status: succeeded
                      created_at: 1763362637000
                      updated_at: 1763362637000
                      fvu_zip_file_url: >-
                        https://in-co-sandbox-tds-test-storage.s3.ap-south-1.amazonaws.com/AHMS45586C/FY+2025-26/Q3/140/4049c226-4988-4978-b5ad-d25705453da8/140.zip
                200 Job succeeded for Correction return:
                  summary: 200 Job succeeded for Correction return
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                      job_id: 445731fc-f785-4672-989a-6d332149e06f
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '138'
                      filing_type: correction
                      status: succeeded
                      created_at: 1763362637000
                      updated_at: 1763362637000
                      fvu_zip_file_url: >-
                        https://in-co-sandbox-tds-compliance-fvu-test.s3.ap-south-1.amazonaws.com/tan/tax_year/quarter/form/f845f37e-7f05-4de9-a282-a3b23b9d370a.zip
                200 - Job Failed:
                  summary: 200 - Job Failed
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                      job_id: 7a9176ef-1e59-4b8e-a1de-ee15b09963f8
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '138'
                      filing_type: regular
                      status: failed
                      created_at: 1763362637000
                      updated_at: 1763362637000
                      validation_report_file_url: >-
                        https://in-co-sandbox-cms-prod1.s3.ap-south-1.amazonaws.com/test-api-mock/tds/json.json
                200 Job Queued:
                  summary: 200 Job Queued
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                      job_id: db544879-a592-466f-a948-83b5a11cd52d
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '138'
                      filing_type: regular
                      status: queued
                      created_at: 1763362637000
                      updated_at: 1763362637000
                200 Job created:
                  summary: 200 Job created
                  value:
                    code: 200
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    data:
                      '@entity': in.co.sandbox.tds.compliance.fvu.generate.job
                      job_id: a88ce705-e16f-4a44-9b56-273bfbc039d5
                      tan: AHMA09719B
                      tax_year: TY 2026-27
                      quarter: Q3
                      form: '138'
                      filing_type: regular
                      status: created
                      created_at: 1763362637000
          headers: {}
        '521':
          description: 521 - Data Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  message:
                    type: string
              examples:
                521 Data not found:
                  summary: 521 Data not found
                  value:
                    code: 521
                    timestamp: 1763362637000
                    transaction_id: e2b9145f-69d5-4bbe-a6de-be6fc08b426f
                    message: Data not found
          headers: {}
      deprecated: false
      security: []

````